## xfce4-docklike-plugin 0.5.0

=== meson_options.txt ===
option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

## xfce4-docklike-plugin 0.2.0

=== debian/changelog ===
xfce4-docklike-plugin (0.2.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Mar 2021 11:46:46 -0400

xfce4-docklike-plugin (0.1.0+git20210215-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 20 Feb 2021 20:22:10 -0500

xfce4-docklike-plugin (0.1.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Update upstream developer email.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 06 Feb 2021 18:09:57 -0500

xfce4-docklike-plugin (0.1+git20201226-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.
  * Switch back to xfce4-docklike-plugin as development there increased.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 06 Jan 2021 10:05:24 -0500
 

xfce4-mxdock-plugin (0.0.1+git20200829-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 16 Sep 2020 21:19:11 -0400

xfce4-mxdock-plugin (0.0.1+git20200823-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.
  * Bump to debhelper-compat (= 13) so we don't have to do it later.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 Aug 2020 23:07:09 -0400

xfce4-mxdock-plugin (0.0.1+git20200629-1~mx19+2) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 03 Aug 2020 13:37:58 -0400

xfce4-mxdock-plugin (0.0.1+git20200603-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.
  * Re-Debianization of package

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Thu, 25 Jun 2020 18:48:36 -0400

xfce4-mxdock-plugin (0.0.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream version for MX 19.
  * Debianization of package

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Thu, 19 Mar 2020 01:31:04 -0400

=== debian/control ===
Source: xfce4-docklike-plugin
Section: xfce
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Nicolas Szabo <nszabo@vivaldi.net>, David Keogh <davidtkeogh@gmail.com>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libtool,
               xfce4-dev-tools,
               libxfce4ui-2-dev,
               libxfce4panel-2.0-dev,
               xfce4-dev-tools,
               libxfce4util-dev,
               libgtk-3-dev,
               libcairo2-dev,
               libwnck-3-dev,
               libglib2.0-dev
Standards-Version: 4.5.0
Homepage: https://github.com/nsz32/docklike-plugin
Rules-Requires-Root: no

Package: xfce4-docklike-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         xfce4-dev-tools,
         xfce4-panel,
         xfce4-settings,
         libxfce4ui-2-0,
         libgtk-3-0,
         libwnck-3-0,
         libcairo2
Description: A modern, docklike, minimalist taskbar for Xfce
 Features:
  - Pinnable applications and grouped windows (dock-like)
  - Use Ctrl to reorder your applications or access the settings panel
  - Fast application switching by hovering mouse while button pressed
    or scrolling
  - Hotkeys: Use Super key to start or switch applications extremely fast
  - Different indicator styles

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

# legacy entry required during mxdock plugin version development
override_dh_auto_configure:
	dh_auto_configure -- --enable-vertical-bar

override_dh_strip:
	dh_strip --no-automatic-dbgsym

#override_dh_autoreconf:
#	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_install:
	dh_auto_install
	find debian/$(DEB_SOURCE)/ -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/lib*.so

## xfce4-docklike-plugin 0.2.0+git20210427

=== debian/changelog ===
xfce4-docklike-plugin (0.2.0+git20210427-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 07 May 2021 09:33:32 -0400

xfce4-docklike-plugin (0.2.0+github20210404-1~mx19+1) mx; urgency=medium

  * Initial packaging of current upstream GitHub master for MX-19.
  * BDs add libx11-dev for new Window Previews.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 10 Apr 2021 00:29:32 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                intltool,
                libtool,
+               libx11-dev,
                xfce4-dev-tools,
                libxfce4ui-2-dev,
                libxfce4panel-2.0-dev,

## xfce4-docklike-plugin 0.2.0+git20210605

=== debian/changelog ===
xfce4-docklike-plugin (0.2.0+git20210605-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 10 Jun 2021 08:53:49 -0400

## xfce4-docklike-plugin 0.2.0+git20210705

=== debian/changelog ===
xfce4-docklike-plugin (0.2.0+git20210705-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 06 Jul 2021 17:07:03 -0400

xfce4-docklike-plugin (0.2.0+git20210612-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 13 Jun 2021 14:15:58 -0400

## xfce4-docklike-plugin 0.3.0+git20210708

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210708-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 10:30:36 -0400

## xfce4-docklike-plugin 0.3.0+git20210720

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210720-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 21 Jul 2021 08:57:53 -0400

xfce4-docklike-plugin (0.3.0+git20210718-1~mx21+1) mx; urgency=medium

  * Initial test packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Jul 2021 11:12:36 -0400

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,11 @@
 %:
 	dh $@
 
-# legacy entry required during mxdock plugin version development
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-vertical-bar
-
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
-#override_dh_autoreconf:
-#	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 override_dh_auto_install:
 	dh_auto_install

## xfce4-docklike-plugin 0.3.0+git20210725

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210725-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.
  * Mainly localization updates.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Jul 2021 12:29:47 -0400

## xfce4-docklike-plugin 0.3.0+git20210726

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210726-1~mx21+2) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.
  * More localization updates.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Jul 2021 11:53:17 -0400

## xfce4-docklike-plugin 0.3.0+git20210806

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210806-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 07 Aug 2021 17:48:01 -0400

xfce4-docklike-plugin (0.3.0+git20210727-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 28 Jul 2021 16:21:06 -0400

## xfce4-docklike-plugin 0.3.0+git20210916

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210916-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 18 Sep 2021 11:08:55 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libwnck-3-dev,
                libglib2.0-dev
 Standards-Version: 4.5.0
-Homepage: https://github.com/nsz32/docklike-plugin
+Homepage: https://github.com/davekeogh/xfce4-docklike-plugin
 Rules-Requires-Root: no
 
 Package: xfce4-docklike-plugin

## xfce4-docklike-plugin 0.3.0+git20210921

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210921-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 22 Sep 2021 00:46:46 -0400

## xfce4-docklike-plugin 0.3.0+git20210927

=== debian/changelog ===
xfce4-docklike-plugin (0.3.0+git20210927-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 03 Oct 2021 18:12:25 -0400

## xfce4-docklike-plugin 0.4.0

=== debian/changelog ===
xfce4-docklike-plugin (0.4.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Patch automatic indicator orientation for MX Linux theming.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 08 Oct 2021 16:53:37 -0400

## xfce4-docklike-plugin 0.4.0%2Bgit20211128

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DH_VERBOSE = 1
-include /usr/share/dpkg/default.mk
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/davekeogh/docklike-plugin HEAD debian uupdate

## xfce4-docklike-plugin 0.4.0+git20211128

=== debian/changelog ===
xfce4-docklike-plugin (0.4.0+git20211128-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitLab master for MX-21.
  * Refresh 001-flip-automatic-indicator-orientation patch.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 06 Dec 2021 10:11:44 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                libgtk-3-dev,
                libcairo2-dev,
                libwnck-3-dev,
-               libglib2.0-dev
+               libglib2.0-dev,
+               libexo-2-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/davekeogh/xfce4-docklike-plugin
 Rules-Requires-Root: no

## xfce4-docklike-plugin 0.4.0+git20211129

=== debian/changelog ===
xfce4-docklike-plugin (0.4.0+git20211129-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitLab master from 20211129 for MX-21.
  * Refresh 001-flip-automatic-indicator-orientation patch.
  * Update debian/control with new Homepage and Vcs-Browser location.
  * Remove xfce4-dev-tools from runtime depends.
  * Update debian/watch file for Xfce GitLab location.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 20 Jan 2022 11:38:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: xfce
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Nicolas Szabo <nszabo@vivaldi.net>, David Keogh <davidtkeogh@gmail.com>
+XSBC-Original-Maintainer: David Keogh <davidtkeogh@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                intltool,
                libtool,
@@ -18,7 +18,8 @@
                libglib2.0-dev,
                libexo-2-dev
 Standards-Version: 4.5.0
-Homepage: https://github.com/davekeogh/xfce4-docklike-plugin
+Homepage: https://docs.xfce.org/panel-plugins/xfce4-docklike-plugin/start
+Vcs-Browser: https://gitlab.xfce.org/panel-plugins/xfce4-docklike-plugin
 Rules-Requires-Root: no
 
 Package: xfce4-docklike-plugin
@@ -26,7 +27,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         xfce4-dev-tools,
          xfce4-panel,
          xfce4-settings,
          libxfce4ui-2-0,

## xfce4-docklike-plugin 0.4.0+git20220122

=== debian/changelog ===
xfce4-docklike-plugin (0.4.0+git20220122-1~mx23) mx; urgency=medium

  * Build for MX-23
  * Get accumulated commits since last build

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 06 Feb 2023 16:58:39 -0500

## xfce4-docklike-plugin 0.4.1

=== debian/changelog ===
xfce4-docklike-plugin (0.4.1-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2023 16:37:06 -0700

xfce4-docklike-plugin (0.4.1-0ppa1~bpo22.04) jammy; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 05 Apr 2023 02:41:48 -0400

xfce4-docklike-plugin (0.4.1-0ppa1) devel; urgency=medium

  * New upstream release.
  * d/copyright: Update attribution.
  * d/rules: Install upstream NEWS file, opt-out of changelog trimming.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 24 Mar 2023 21:50:48 -0400

xfce4-docklike-plugin (0.4.0-0ppa1) devel; urgency=medium

  * Initial release.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 27 Sep 2021 04:50:18 -0400

=== debian/control ===
Source: xfce4-docklike-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Uploaders: Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libglib2.0-dev,
               libgtk-3-dev,
               libwnck-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               xfce4-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://docs.xfce.org/panel-plugins/xfce4-docklike-plugin/start

Package: xfce4-docklike-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: modern, docklike, minimalist taskbar for Xfce
 Its features include:
  - Pinnable applications and grouped windows (dock-like)
  - Use Ctrl to reorder your applications or access the settings panel
  - Fast application switching by hovering mouse while button pressed
    or scrolling
  - Hotkeys: Use your Super key to start or switch applications extremely fast
  - Different styles

## xfce4-docklike-plugin 0.4.2

=== debian/changelog ===
xfce4-docklike-plugin (0.4.2-0mx23+1) mx; urgency=medium

  * New upstream release fixing memory leaks

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 13 Mar 2024 16:46:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-docklike-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Uploaders: Unit 193 <unit193@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),

## xfce4-docklike-plugin 0.4.3

=== debian/changelog ===
xfce4-docklike-plugin (0.4.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Mar 2025 21:58:38 -0700

xfce4-docklike-plugin (0.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1072051)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Thu, 27 Feb 2025 23:53:05 +0300

=== debian/control ===
Source: xfce4-docklike-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kirill Rekhov <krekhov.dev@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               intltool,
               libice-dev,
               libwnck-3-dev,
               libx11-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4windowing-0-dev,
               libxi-dev,
               xfce4-dev-tools
Standards-Version: 4.7.0
Homepage: https://docs.xfce.org/panel-plugins/xfce4-docklike-plugin/start
Vcs-Browser: https://salsa.debian.org/krekhov/xfce4-docklike-plugin
Vcs-Git: https://salsa.debian.org/krekhov/xfce4-docklike-plugin.git

Package: xfce4-docklike-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Modern, minimalist taskbar for Xfce
 Docklike Taskbar behaves similarly to many other desktop environments and
 operating systems. Wherein all application windows are grouped together as an
 icon and can be pinned to act as a launcher when the application is not
 running. Commonly referred to as a dock.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -lXi
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	find debian/xfce4-docklike-plugin/ -name '*.la' -delete

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## xfce4-docklike-plugin 0.5.0

=== debian/changelog ===
xfce4-docklike-plugin (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: update copyright according to lrc (actualization)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Mon, 18 Aug 2025 20:49:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: xfce4-docklike-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kirill Rekhov <krekhov.dev@gmail.com>
+Maintainer: Kirill Rekhov <krekhov.dev@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                intltool,
+               libxi-dev,
+               libx11-dev,
                libice-dev,
                libwnck-3-dev,
-               libx11-dev,
+               xfce4-dev-tools,
+               libxfce4ui-2-dev,
                libxfce4panel-2.0-dev,
-               libxfce4ui-2-dev,
-               libxfce4windowing-0-dev,
-               libxi-dev,
-               xfce4-dev-tools
-Standards-Version: 4.7.0
+               libxfce4windowing-0-dev
+Standards-Version: 4.7.2
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-docklike-plugin/start
 Vcs-Browser: https://salsa.debian.org/krekhov/xfce4-docklike-plugin
 Vcs-Git: https://salsa.debian.org/krekhov/xfce4-docklike-plugin.git

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,3 @@
 
 execute_after_dh_auto_install:
 	find debian/xfce4-docklike-plugin/ -name '*.la' -delete
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
